libetonyek_xml.h File Reference
`#include <memory>`
`#include <string>`
`#include <boost/optional.hpp>`
`#include <libxml/xmlreader.h>`
`#include "libetonyek_utils.h"`

Go to the source code of this file.

## Namespaces
namespace | libetonyek

## Functions
std::unique_ptr< xmlTextReader, void(*)(xmlTextReaderPtr)> | libetonyek::xmlReaderForStream (const RVNGInputStreamPtr_t &input)
bool | libetonyek::bool_cast (const char *value)
| Convert string value to bool.
boost::optional< bool > | libetonyek::try_bool_cast (const char *value)
double | libetonyek::double_cast (const char *value)
boost::optional< double > | libetonyek::try_double_cast (const char *value)
int | libetonyek::int_cast (const char *value)
boost::optional< int > | libetonyek::try_int_cast (const char *value)
const char * | libetonyek::char_cast (const char *const c)
const char * | libetonyek::char_cast (const signed char *const c)
const char * | libetonyek::char_cast (const unsigned char *const c)